Package org.apache.commons.math3.optimization.linear

# Class UnboundedSolutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.apache.commons.math3.exception.MathIllegalStateException
org.apache.commons.math3.optimization.linear.UnboundedSolutionException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

@Deprecated public class UnboundedSolutionException extends MathIllegalStateException
Deprecated.
As of 3.1 (to be removed in 4.0).
This class represents exceptions thrown by optimizers when a solution escapes to infinity.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnboundedSolutionException()`
Deprecated.
Simple constructor using a default message.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnboundedSolutionException

public UnboundedSolutionException()
Deprecated.
Simple constructor using a default message.